package com.xpx.pojo;

import java.io.Serializable;
import java.util.List;

public class Users implements Serializable {

    private String username;
    private String userpwd;
    private Roles roles;
    private List<Menus> menus;

    public Users() {
    }

    public Users(String username, String userpwd, Roles roles, List<Menus> menus) {
        this.username = username;
        this.userpwd = userpwd;
        this.roles = roles;
        this.menus = menus;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getUserpwd() {
        return userpwd;
    }

    public void setUserpwd(String userpwd) {
        this.userpwd = userpwd;
    }

    public Roles getRoles() {
        return roles;
    }

    public void setRoles(Roles roles) {
        this.roles = roles;
    }

    public List<Menus> getMenus() {
        return menus;
    }

    public void setMenus(List<Menus> menus) {
        this.menus = menus;
    }

    @Override
    public String toString() {
        return "Users{" +
                "username='" + username + '\'' +
                ", userpwd='" + userpwd + '\'' +
                ", roles=" + roles +
                ", menus=" + menus +
                '}';
    }
}
